16.04: ¿Cómo obtener el paquete de intel-microcode recomendado para solucionar el problema de hiper-threading?

18

La lista de correo de Debian tiene una publicación relevante para algunos usuarios de Skylake y Kaby Lake: [ADVERTENCIA] Procesadores Intel Skylake / Kaby Lake: hiper-threading roto

Los usuarios deben ejecutar

grep name /proc/cpuinfo | sort -u

para obtener los detalles de su procesador y luego verificar enlace o enlace según corresponda.

Si su procesador está en la lista, deberían ejecutar siguiente

grep -q '^flags.*[[:space:]]ht[[:space:]]' /proc/cpuinfo && \
echo "Hyper-threading is supported"

De acuerdo con una publicación de seguimiento , el comando anterior que he no es confiable y los usuarios necesitan ejecutar lscpu y verificar si

  

los informes de salida de lscpu: "Subproceso (s) por núcleo: 2", eso significa   hyper-threading está habilitado y es compatible.

Si se admite Hyper-Threading, se brindan consejos tanto para Skylake como para Kaby Lake.

Tengo un procesador Skylake afectado en 16.04 que se puede reparar porque

grep -E 'model|stepping' /proc/cpuinfo | sort -u

regresa

model       : 78
model name  : Intel(R) Core(TM) i3-6006U CPU @ 2.00GHz
stepping    : 3

Para tales procesadores, la solución sugerida es instalar

  

el paquete "intel-microcode" no gratuito      con la versión base 3.20170511.1 y reinicie el sistema. ESTO ES      LA SOLUCIÓN RECOMENDADA PARA ESTOS SISTEMAS, YA QUE CORRE OTROS      ASUNTOS DEL PROCESADOR TAMBIÉN.

Pero el 16.04 repo me muestra una versión anterior:

apt policy intel-microcode
intel-microcode:
Installed: (none)
Candidate: 3.20151106.1
Version table:
3.20151106.1 500
500 http://archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages

¿Es posible obtener la versión recomendada y, si es posible, cómo puedo hacerlo?

Editar: Encontré enlace pero todas parecen ser versiones anteriores.

Segunda edición: enlace tiene la actualización correspondiente, pero es para Artful Aadvark .

    
pregunta DK Bose 26.06.2017 - 13:44

3 respuestas

5

Instale el último paquete oficial manualmente . es decir, para sistemas operativos de 64 bits:

wget http://ftp.us.debian.org/debian/pool/non-free/i/intel-microcode/intel-microcode_3.20170511.1~bpo8+1_amd64.deb
sudo dpkg -i intel-microcode_3.20170511.1~bpo8+1_amd64.deb

Reinicia la máquina, y estás listo. TAMBIÉN , necesita instalar la última actualización de la BIOS desde su máquina. Consulte con el fabricante de su computadora para obtener la última actualización oficial de BIOS.

    
respondido por el DevNull 26.06.2017 - 16:50
3

Puede instalar el paquete que es para artful .

Este paquete contiene firmware binario. Es independiente de la versión.

    
respondido por el Pilot6 26.06.2017 - 13:54
0

Puede instalar la actualización de BIOS utilizando Windows PE.

El medio de instalación de Windows contiene ventanas pe. El shell cmd se puede abrir presionando shift + f10 para acceder al actualizador ejecutable de BIOS.

    
respondido por el user705241 28.06.2017 - 07:05

Lea otras preguntas en las etiquetas